Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.digests
Class Haraka256Digest

    java.lang.Object
      org.bouncycastle.crypto.digests.HarakaBase
          org.bouncycastle.crypto.digests.Haraka256Digest

All Implemented Interfaces:
  Digest

public class Haraka256Digest
extends HarakaBase

Haraka-256 v2, https://eprint.iacr.org/2016/098.pdf

Haraka256-256 with reference to Python Reference Impl from: https://github.com/kste/haraka

Field Summary

Fields inherited from class org.bouncycastle.crypto.digests.HarakaBase
`DIGEST_SIZE`

Constructor Summary
`Haraka256Digest()`
`Haraka256Digest(CryptoServicePurpose purpose)`
`Haraka256Digest(Haraka256Digest digest)`

Method Summary
`int` | `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` | `getAlgorithmName()` return the algorithm name
`void` | `reset()` reset the digest back to it's initial state.
`void` | `update(byte in)` update the message digest with a single byte.
`void` | `update(byte[] in, int inOff, int len)` update the message digest with a block of bytes.

Methods inherited from class org.bouncycastle.crypto.digests.HarakaBase
`getDigestSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Haraka256Digest

    public Haraka256Digest()

### Haraka256Digest

    public Haraka256Digest(CryptoServicePurpose purpose)

### Haraka256Digest

    public Haraka256Digest(Haraka256Digest digest)

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Digest`
  return the algorithm name

  Returns:
    the algorithm name

### update

    public void update(byte in)

  Description copied from interface: `Digest`
  update the message digest with a single byte.

  Parameters:
    `in` - the input byte to be entered.

### update

    public void update(byte[] in,
                       int inOff,
                       int len)

  Description copied from interface: `Digest`
  update the message digest with a block of bytes.

  Parameters:
    `in` - the byte array containing the data.
    `inOff` - the offset into the byte array where the data starts.
    `len` - the length of the data.

### doFinal

    public int doFinal(byte[] out,
                       int outOff)

  Description copied from interface: `Digest`
  close the digest, producing the final digest value. The doFinal call leaves the digest reset.

  Parameters:
    `out` - the array the digest is to be copied into.
    `outOff` - the offset into the out array the digest is to start at.

### reset

    public void reset()

  Description copied from interface: `Digest`
  reset the digest back to it's initial state.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD